#ifndef _HASH_FUNS_H_
#define _HASH_FUNS_H_ 
#include "memory.h"
#include "misc.h"
#include "strings.h"
#include "array.h"
uint32_t ohash_L3HashTriple(const uint32_t A, const uint32_t B, const uint32_t C, const uint32_t Seed);
uint32_t ohash_L3Hashword(const uint32_t *Key, size_t Length, uint32_t Initval);
uint32_t ohash_L3Hashlittle(const void *Key, size_t Length, uint32_t Initval);
#endif
